订阅本站
收藏本站
微博分享
QQ空间分享

Python smtplib中间人安全限制绕过漏洞(CVE-2016-0772)

alen 分类:安全维护 时间:2018/11/20 00:00:00 评论: 加入收藏
Python smtplib中间人安全限制绕过漏洞(CVE-2016-0772)


发布日期:2017-01-05
更新日期:2017-01-06

受影响系统:

Python python < 2.7.12
Python python 3.x < 3.4.5
Python python 3.5.x < 3.5.2

描述:


BUGTRAQ  ID: 91225
CVE(CAN) ID: CVE-2016-0772

Python是一种面向对象、直译式计算机程序设计语言。

CPython (即Python) < 2.7.12, 3.x < 3.4.5, 3.5.x < 3.5.2版本,smtplib库未在StartTLS失败时返回错误,这可使中间人攻击者绕过TLS保护。

<*来源:Tin
  *>

建议:


厂商补丁:

Python
------
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载

https://bugzilla.redhat.com/show_bug.cgi?id=1303647
https://docs.python.org/3.4/whatsnew/changelog.html#python-3-4-5
https://docs.python.org/3.5/whatsnew/changelog.html#python-3-5-2
https://hg.python.org/cpython/raw-file/v2.7.12/Misc/NEWS
https://hg.python.org/cpython/rev/b3ce713fb9be
https://hg.python.org/cpython/rev/d590114c2394
http://www.splunk.com/view/SP-CAAAPSV
http://www.splunk.com/view/SP-CAAAPUE

本文永久更新链接地址:http://www.linuxidc.com/Linux/2017-01/139360.htm

TAG:

文章评论

留言与评论(共有 0 条评论)
   
验证码: